﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Data;

namespace DataChart
{
    /// <summary>
    /// Interaction logic for DataChart.xaml
    /// </summary>
    public partial class Chart : Window
    {
        public Chart()
        {
            InitializeComponent();
            this.DataContext = this.ChartSource();
        }

        public DataTable ChartSource()
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("Date", typeof(DateTime));
            dt.Columns.Add("Value", typeof(double));
            for (int Month = 1; Month <= 12; Month++)
            {                
                for (int Day = 1; Day < DateTime.DaysInMonth(DateTime.Now.Year, Month); Day++)
                {
                    DateTime Date = new DateTime(DateTime.Now.Year, Month, Day);
                    DataRow dr = dt.NewRow();
                    dr["Date"] = Date;
                    dr["Value"] = Guid.NewGuid().GetHashCode().ToString().Substring(0, 5);
                    dt.Rows.Add(dr);
                }
            }

            return dt;
        }
    }


}
